<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:b="http://bootsfaces.net/ui"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
>


<ui:composition template="/arch.xhtml">
    <ui:define name="head">
        <title>Identification</title>
    </ui:define>
    <ui:define name="content">
        <h:outputScript library="js" name="login.js"></h:outputScript>
        <div class="totalLoginPage"
             style="display: flex;flex-direction: column; justify-content: center;align-content: center">
            <div style="margin-bottom:10vh; background-image: url('resources/img/PuzzleImg4.jpg'); display: flex;flex-direction: column; color: white;
            justify-content: center;text-shadow: black 0.1em 0.1em 0.2em ; text-align: center; align-content: center; border-radius: 10px; background-color: rgb(0,0,0,0.5)">
                <h1>Se connecter</h1>
            </div>

            <b:form id="loginForm"
                    style="margin-top:10vh; background-color:darblue; display:flex; flex-direction:row; align-content: center;align-items: center; justify-content: center;">
                <div class="connectPart" style="width: 50vw; ">
                    <div class="inputUserField">
                        <div style="margin-bottom: 2rem;"><b:message for="inpMail"/></div>

                        <div class="inputMail">
                            <b:inputText
                                    id="inpMail"
                                    placeholder="Veuillez entrer votre adresse mail"
                                    value="#{mbLogin.mail}">
                                <f:facet name="prepend">
                                    <h:outputText value="@"/>
                                </f:facet>
                            </b:inputText>
                        </div>

                        <div class="inputLogin">
                            <b:inputSecret
                                    id="inpPassword"
                                    placeholder="Veuillez entrer votre mot de passe"
                                    value="#{mbLogin.password}">
                                <f:facet name="prepend">
                                    <b:iconAwesome name="key"/>
                                </f:facet>
                            </b:inputSecret>
                        </div>
                    </div>
                    <div class="loginButtonSet"
                         style="display: flex;flex-direction: row; justify-content: space-evenly; ">
                        <div class="loginButton">
                            <b:commandButton
                                    look="primary"
                                    style="width:100%"
                                    value="Connexion"
                                    action="#{mbLogin.connect()}"/>
                        </div>
                        <div class="addAccountButton" style="display: flex; justify-content: center">
                            <b:button value="S'inscrire" look="info" onclick="$('#addAccountModal').modal()"
                            />
                        </div>
                    </div>
                </div>
            </b:form>
            <div style="margin-top: 2rem; display: flex; justify-content: center">
                <b:alert class="successAdd" style=" visibility:hidden" severity="success" closable="true"
                         title="Succès"></b:alert>
            </div>

            <b:modal id="addAccountModal" title="Créer un compte">

                <div class="field"
                     style="display: flex; flex-direction: column; justify-content: center;align-content: center">
                    <fieldset>
                        <legend>Veuillez saisir vos informations</legend>
                        <b:form inline="true">
                            <div class="addCandidateField">
                                <div class="fieldInput"
                                     style=" padding: 1rem; background-color: #F5F5F5; border-radius: 5px">
                                    <div class="name"
                                         style="display: flex; flex-direction: row; margin-bottom: 2rem; flex-wrap: wrap">
                                        <div class="firstName" style="display:flex; flex: 1">
                                            <label style="flex:1" for="firstNameInput">Prénom</label>
                                            <b:inputText style="flex:1" id="firstNameInput" class="firstNameInput"
                                                         tooltip="Saisissez votre prénom, un '-' est autorisé">
                                                <f:facet name="prepend">
                                                    <b:icon name="user"/>
                                                </f:facet>
                                            </b:inputText>
                                        </div>
                                        <div class="lastName" style="display:flex; flex: 1;margin-left: 1rem">
                                            <label style="flex:1" for="lastNameInput">Nom</label>
                                            <b:inputText style="flex:1" id="lastNameInput" class="lastNameInput"
                                                         tooltip="Saisissez votre nom, un '-' est autorisé">
                                                <f:facet name="prepend">
                                                    <b:icon name="user"/>
                                                </f:facet>
                                            </b:inputText>
                                        </div>
                                    </div>
                                    <div class="mailAndPhone"
                                         style="display: flex; flex-direction: row; margin-bottom: 2rem">
                                        <div class="mail" style="display:flex; flex: 1">
                                            <label style="flex:1" for="mailInput">Adresse Email</label>
                                            <b:inputText style="flex:2" id="mailInput" class="mailInput"
                                                         tooltip="Mail au format azerty@aezerty.azerty"
                                                         onchange="checkIfMailExist()">
                                                <f:facet name="prepend">
                                                    <h:outputText value="@"/>
                                                </f:facet>
                                            </b:inputText>
                                        </div>
                                        <div class="phone" style="display:flex; flex: 1;margin-left: 1rem">
                                            <label style="flex:1" for="phoneInput">Téléphone</label>
                                            <b:inputText style="flex:2" id="phoneInput" class="phoneInput"
                                                         tooltip="Ne saisir que les chiffres">
                                                <f:facet name="prepend">
                                                    <b:iconAwesome name="fa-phone"/>
                                                </f:facet>
                                            </b:inputText>
                                        </div>
                                    </div>
                                    <div class="password"
                                         style="display: flex; flex-direction: row; margin-bottom: 2rem">
                                        <label style="flex:1" for="passwordInput">Mot de passe</label>
                                        <h:inputSecret style="flex:2" id="passwordInput" class="passwordInput"
                                                       tooltip="Le password doit contenir au minimum 8 caractères, dont une majuscule, une minuscule et un chiffre.">
                                            <f:facet name="prepend">
                                                <b:iconAwesome name="key"/>
                                            </f:facet>
                                        </h:inputSecret>
                                    </div>
                                    <div class="isVisible"
                                         style="display: flex; flex-direction: row; margin-bottom: 2rem">
                                        <label style="flex:1" for="visibleInput">Visible sur la CVthèque</label>
                                        <b:switch onchange="checkIfchecked()" class="visibleInput" id="visibleInput" off-text="Non" on-text="Oui"
                                                  tooltip="Si vous choissisez non, vous pourrez postuler mais aucun recruteur ne pourra vous proposer de poste."/>
                                    </div>
                                    <div class="salary" style="display: flex; flex-direction: row; margin-bottom: 2rem">
                                        <label style="flex:1" for="salaryInput">Salaire brut annuel</label>
                                        <b:inputText style="flex:2" id="salaryInput" class="salaryInput"
                                                     tooltip="Uniquement montant brut annuel en euros compris entre 10000 et 999999, pas de caractères spéciaux">
                                            <f:facet name="prepend">
                                                <h:outputText value="€"/>
                                            </f:facet>
                                        </b:inputText>
                                    </div>
                                    <div class="period" style="display: flex; flex-direction: row; margin-bottom: 2rem">
                                        <label style="flex:1" for="periodInput">Délai de disponibilité</label>
                                        <b:selectOneMenu style="flex:2" id="periodInput" class="periodInput"
                                        >
                                            <f:selectItem
                                                    itemLabel="Choisissez un délai de disponibilité"></f:selectItem>
                                            <f:selectItems var="period" value="#{mbCandidate.periods}"
                                                           itemValue="#{period.id}"
                                                           itemLabel="#{period.name}"/>
                                        </b:selectOneMenu>
                                    </div>
                                    <div class="studyLevel"
                                         style="display: flex; flex-direction: row; margin-bottom: 2rem; justify-content: space-between">
                                        <label style="flex:1" for="levelInput">Niveau d'étude</label>

                                        <b:selectOneMenu style="flex:2" id="levelInput" class="levelInput"
                                        >
                                            <f:selectItem itemLabel="Choisissez un niveau d'étude"></f:selectItem>
                                            <f:selectItems var="niveau" value="#{mbCandidate.levels}"
                                                           itemValue="#{niveau.id}"
                                                           itemLabel="#{niveau.level}"/>
                                        </b:selectOneMenu>
                                    </div>
                                    <div class=" postCode " style="display: flex;justify-content: space-between; margin-bottom: 2rem;">
                                        <h:outputText style="font-weight: bold" value="Code postal"/>
                                        <h:outputScript library="js" name="city.js"></h:outputScript>
                                        <div class="form-group">
                                            <div><b:inputText placeholder="Saisissez un code postal"
                                                              class="postalCodeInput"
                                                              onkeyup="postalCodes()"/></div>
                                            <div class="postalCodeSelect">
                                            </div>
                                        </div>
                                    </div>

                                    <div class="divForCitySelect" style="display: flex;justify-content: space-between">
                                        <h:outputText style="font-weight: bold" value="Ville"/>
                                        <div class="form-group">
                                            <div><b:inputText disabled="true" class="cityInput"
                                                              placeholder="Selectionnez un code postal"/></div>
                                            <div class="citySelect">
                                            </div>
                                            <b:remoteCommand name="SetCityInfo"
                                                             actionListener="#{mbCandidate.setCityInfo}"
                                                             parameters="CityInfo"/>
                                        </div>
                                    </div>
                                    <div class="resumeInput" style="margin-top: 5rem">
                                        <label for="resumeInput">Ajouter un CV (.pdf taille max 500ko)</label>
                                        <input type="file" id="resumeInput" class="resumeInput" accept=".pdf"
                                        />
                                    </div>
                                </div>


                                <b:alert class="failFields" style="visibility:hidden" severity="danger" title="Erreur">

                                </b:alert>
                                <div class="buttonSet "
                                     style="display: flex;flex-direction: row; justify-content: space-evenly; margin-top: 4rem">
                                    <b:button value="Annuler" look="danger" dismiss="modal"
                                              onclick="#{mbCandidate.deleteAddInfo()};closeModal()"/>
                                    <b:button value="Valider" look="success" onclick="addCandidateToDatabase()"/>
                                </div>
                            </div>
                        </b:form>
                    </fieldset>
                </div>
            </b:modal>
        </div>

    </ui:define>
</ui:composition>

</html>